
QGIS Application - Bug report #8295

Installation of an experimental plugin (LecoS) crashes the plugin manager

2013-07-14 03:05 AM - Asier Sarasua

Status: Closed

Priority: Normal

Assignee: Borys Jurgiel

Category: Plugin Manager

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed

Crashes QGIS or corrupts data:No Copied to github as #: 17091

Description

Steps:

1. Open QGIS

2. Go to "Plugins -> Manage and Install Plugins" 

3. Mark "Show also experimental plugins" in "Settings" 

4. Search for "LecoS" in "Get more" 

5. Install plugin

6. A warning appears:

"Please install scipy (http://scipy.org/) in your QGIS Python path." 

7. An error message appears, related to pyplugin_installer.instance().installPlugin('LecoS'), see "LecoS installation error 1.txt" 

8. The GUI apparently freezes, but I am able to close QGIS

9. Open QGIS

10. The scipy warning again

11. Another error related this time to pyplugin_installer.initPluginInstaller(), see see "LecoS installation error 2.txt" 

12. A third error related to pyplugin_installer.instance().showPluginManagerWhenReady()

13. Go to "Plugins -> Manage and Install Plugins". The plugin manager doesn't open.

Workaround to get the plugin manager again: remove the "LecoS" folder in ".qgis2\\python\\plugins"

Associated revisions

Revision 7a7e5427 - 2013-07-15 04:34 PM - Borys Jurgiel

[Plugin Installer] Handle all exception types when loading plugins. Fixes #8295. Breaks string freeze because it's a critical fix.

History

#1 - 2013-07-14 03:07 AM - Asier Sarasua

OS: Windows XP

#2 - 2013-07-14 03:09 AM - Asier Sarasua

Sorry, the steps 12 an 13 are in the wrong order:

12. Go to "Plugins -> Manage and Install Plugins". The plugin manager doesn't open.

13. A third error related to pyplugin_installer.instance().showPluginManagerWhenReady()
#3 - 2013-07-14 10:36 AM - Giovanni Manghi

- Category set to Plugin Manager

- Assignee set to Borys Jurgiel

Does this issue affects any plugin with a missing dependency or it is Lecos specific?

#4 - 2013-07-14 01:13 PM - Asier Sarasua

I have installed the rest of the plugins (also the experimental ones) offered by the official plugin repository.

The only issue has been with Multitemporal Analyzer, which has warned me it is only compatible with QGIS 1.x, but I have accepted the installation and

now I have it in a new section of the plugin manager called "Invalid". That doesn's affect the behaviour of the plugin manager window, like LecoS does.

#5 - 2013-07-15 02:15 AM - Martin Jung

It might have sth. to do with the mandatory dependency scipy, which definitely has to be installed in your QGIS path.

To see if it is available just go to Plugins -> Python Console and enter

import scipy

scipy.version.version

This should give you an output of the version number without issues or import errors, otherwise you need to install scipy again.

I don't know however, why the QGIS plugin manager doesn't open anymore. This behavior didn't occur with the old plugin configuration dialog.

EDIT:

When looking into the second error file i found that the sys.exit(0) command is raised. This happens because of this check-routine at the start of the plugin.

try:

    import scipy

except ImportError:

    QMessageBox.critical(QDialog(),"LecoS: Warning","Please install scipy (http://scipy.org/) in your QGIS python path.")

    sys.exit(0)

You need to install scipy.

#6 - 2013-07-15 07:34 AM - Borys Jurgiel

- Status changed from Open to Closed

Fixed in changeset commit:"7a7e5427061037dc15381f7b78ea4b47045cf96c".

#7 - 2013-07-15 07:38 AM - Borys Jurgiel

Thanks a lot for the investigation. The installer wasn't prepared to intercept raw exits from plugins. Now it should be safe. Btw. I've opened a ticket for
Multitemporal Analyzer.

#8 - 2013-07-15 07:39 AM - Borys Jurgiel

- Resolution set to fixed

#9 - 2013-07-15 12:13 PM - Asier Sarasua

Thank you Boris.

#10 - 2013-07-15 12:13 PM - Asier Sarasua

Sorry, Borys. ;)
